/* This is a modified version of BB's DOD plugin. 
 *
 * Version 2.0
 *
 * Changes:-------------------------------------------------------------------------------
 * Added new clanmatch commands that came with DOD 2.0
 *
 * admin_clan_match 1|0 *Enables/disables clan match mode in DOD 2.0*
 *
 * admin_clan_timer <seconds> *Number of seconds to begin the match after admin_clan_start is envoked*
 *
 * admin_clan_start *Will begin the match in <admin_clan_timer> defined seconds*
 *----------------------------------------------------------------------------------------
 * New class limits
 *
 * admin_alliesmg 0-5 *Will set a limit on the Allies MG Class*
 *
 * admin_axismg 0-5 *Will set a limit on Axis MG Class*
 *
 * (setting to 0 will remove the limit)
 *----------------------------------------------------------------------------------------
 * DOD 2.0 has a new way to handle the respawn. If you still want to use the old respawn
 * timer in clan matches use this command. (Will only work in clan match mode)
 *
 * admin_clan_respawntime <seconds> *The classic DOD respawn timer*
 *
 *Other commands:-------------------------------------------------------------------------
 *I choosed to add some other commands specific for DOD
 *
 * admin_tkpenalty <number> *Number of TK's before kick, -1 to turn off*
 *
 * admin_teamlimit <number> *Number of extra players a team will be allowed to have*
 *
 * admin_deathmsg 1|0 *Will turn the death messages on/off in the right corner*
 *
 * admin_chatmsg 1|2 *Allow standard HL chat messages, 1=Yes, 2=No*
 *
 * admin_voice 0|1 *HL voice system, 1=Team can talk across map, 2=Can only talk within a range*
 *
 *Old commands:---------------------------------------------------------------------------
 * 
 * admin_allowspectate
 * admin_bulletwhizz
 * admin_allieslight
 * admin_alliesassault
 * admin_alliesheavy
 * admin_alliessniper
 * admin_axislight
 * admin_axisassault
 * admin_axisheavy
 * admin_axissniper
 *
 * admin_respawntime was removed since its for no use in DOD 2.0
 *
 *Contact:--------------------------------------------------------------------------------
 * 
 * [VHL]Tyr
 * Email: kharma@snowboard.com
 * Web: http://vhl.dns2go.com
 * IRC: #VHL, Quakenet
 *
 *----------------------------------------------------------------------------------------
 */

#include <core>
#include <console>
#include <string>
#include <admin>
#include <adminlib>

new STRING_VERSION[MAX_DATA_LENGTH] = "2.50.26";

public admin_clan_match(HLCommand,HLData,HLUserName,UserIndex) {
	new Command[MAX_COMMAND_LENGTH];
	new Data[MAX_DATA_LENGTH];
	new User[MAX_NAME_LENGTH];
	
	convert_string(HLCommand,Command,MAX_COMMAND_LENGTH);
	convert_string(HLData,Data,MAX_DATA_LENGTH);
	convert_string(HLUserName,User,MAX_NAME_LENGTH);
	execute_command(User,Command,"mp_clan_match",Data);
	return PLUGIN_HANDLED;
}

public admin_clan_timer(HLCommand,HLData,HLUserName,UserIndex) {
	new Command[MAX_COMMAND_LENGTH];
	new Data[MAX_DATA_LENGTH];
	new User[MAX_NAME_LENGTH];
	
	convert_string(HLCommand,Command,MAX_COMMAND_LENGTH);
	convert_string(HLData,Data,MAX_DATA_LENGTH);
	convert_string(HLUserName,User,MAX_NAME_LENGTH);
	execute_command(User,Command,"mp_clan_timer",Data);
	return PLUGIN_HANDLED;
}

public admin_clan_start(HLCommand,HLData,HLUserName,UserIndex) {
	new Command[MAX_COMMAND_LENGTH];
	new Data[MAX_DATA_LENGTH];
	new User[MAX_NAME_LENGTH];
	
	convert_string(HLCommand,Command,MAX_COMMAND_LENGTH);
	convert_string(HLData,Data,MAX_DATA_LENGTH);
	convert_string(HLUserName,User,MAX_NAME_LENGTH);
	execute_command(User,Command,"mp_clan_restartround","1");
	return PLUGIN_HANDLED;
}

public admin_alliesmg(HLCommand,HLData,HLUserName,UserIndex) {
	new Command[MAX_COMMAND_LENGTH];
	new Data[MAX_DATA_LENGTH];
	new User[MAX_NAME_LENGTH];
	
	convert_string(HLCommand,Command,MAX_COMMAND_LENGTH);
	convert_string(HLData,Data,MAX_DATA_LENGTH);
	convert_string(HLUserName,User,MAX_NAME_LENGTH);
	execute_command(User,Command,"mp_limitalliesmg",Data);
	return PLUGIN_HANDLED;
}

public admin_axismg(HLCommand,HLData,HLUserName,UserIndex) {
	new Command[MAX_COMMAND_LENGTH];
	new Data[MAX_DATA_LENGTH];
	new User[MAX_NAME_LENGTH];
	
	convert_string(HLCommand,Command,MAX_COMMAND_LENGTH);
	convert_string(HLData,Data,MAX_DATA_LENGTH);
	convert_string(HLUserName,User,MAX_NAME_LENGTH);
	execute_command(User,Command,"mp_limitaxismg",Data);
	return PLUGIN_HANDLED;
}

public admin_tkpenalty(HLCommand,HLData,HLUserName,UserIndex) {
	new Command[MAX_COMMAND_LENGTH];
	new Data[MAX_DATA_LENGTH];
	new User[MAX_NAME_LENGTH];
	
	convert_string(HLCommand,Command,MAX_COMMAND_LENGTH);
	convert_string(HLData,Data,MAX_DATA_LENGTH);
	convert_string(HLUserName,User,MAX_NAME_LENGTH);
	execute_command(User,Command,"mp_tkpenalty",Data);
	return PLUGIN_HANDLED;
}

public admin_teamlimit(HLCommand,HLData,HLUserName,UserIndex) {
	new Command[MAX_COMMAND_LENGTH];
	new Data[MAX_DATA_LENGTH];
	new User[MAX_NAME_LENGTH];
	
	convert_string(HLCommand,Command,MAX_COMMAND_LENGTH);
	convert_string(HLData,Data,MAX_DATA_LENGTH);
	convert_string(HLUserName,User,MAX_NAME_LENGTH);
	execute_command(User,Command,"mp_teamlimit",Data);
	return PLUGIN_HANDLED;
}

public admin_deathmsg(HLCommand,HLData,HLUserName,UserIndex) {
	new Command[MAX_COMMAND_LENGTH];
	new Data[MAX_DATA_LENGTH];
	new User[MAX_NAME_LENGTH];
	
	convert_string(HLCommand,Command,MAX_COMMAND_LENGTH);
	convert_string(HLData,Data,MAX_DATA_LENGTH);
	convert_string(HLUserName,User,MAX_NAME_LENGTH);
	execute_command(User,Command,"mp_deathmsg",Data);
	return PLUGIN_HANDLED;
}

public admin_chatmsg(HLCommand,HLData,HLUserName,UserIndex) {
	new Command[MAX_COMMAND_LENGTH];
	new Data[MAX_DATA_LENGTH];
	new User[MAX_NAME_LENGTH];
	
	convert_string(HLCommand,Command,MAX_COMMAND_LENGTH);
	convert_string(HLData,Data,MAX_DATA_LENGTH);
	convert_string(HLUserName,User,MAX_NAME_LENGTH);
	execute_command(User,Command,"mp_chatmsg",Data);
	return PLUGIN_HANDLED;
}

public admin_voice(HLCommand,HLData,HLUserName,UserIndex) {
	new Command[MAX_COMMAND_LENGTH];
	new Data[MAX_DATA_LENGTH];
	new User[MAX_NAME_LENGTH];
	
	convert_string(HLCommand,Command,MAX_COMMAND_LENGTH);
	convert_string(HLData,Data,MAX_DATA_LENGTH);
	convert_string(HLUserName,User,MAX_NAME_LENGTH);
	execute_command(User,Command,"mp_voice",Data);
	return PLUGIN_HANDLED;
}

public admin_allowspectate(HLCommand,HLData,HLUserName,UserIndex) {
	new Command[MAX_COMMAND_LENGTH];
	new Data[MAX_DATA_LENGTH];
	new User[MAX_NAME_LENGTH];
	
	convert_string(HLCommand,Command,MAX_COMMAND_LENGTH);
	convert_string(HLData,Data,MAX_DATA_LENGTH);
	convert_string(HLUserName,User,MAX_NAME_LENGTH);
	execute_command(User,Command,"mp_allowspectators",Data);
	return PLUGIN_HANDLED;
}

public admin_bulletwhizz(HLCommand,HLData,HLUserName,UserIndex) {
	new Command[MAX_COMMAND_LENGTH];
	new Data[MAX_DATA_LENGTH];
	new User[MAX_NAME_LENGTH];
	
	convert_string(HLCommand,Command,MAX_COMMAND_LENGTH);
	convert_string(HLData,Data,MAX_DATA_LENGTH);
	convert_string(HLUserName,User,MAX_NAME_LENGTH);
	execute_command(User,Command,"mp_bulletwhizz",Data);
	return PLUGIN_HANDLED;
}

public admin_allieslight(HLCommand,HLData,HLUserName,UserIndex) {
	new Command[MAX_COMMAND_LENGTH];
	new Data[MAX_DATA_LENGTH];
	new User[MAX_NAME_LENGTH];
	
	convert_string(HLCommand,Command,MAX_COMMAND_LENGTH);
	convert_string(HLData,Data,MAX_DATA_LENGTH);
	convert_string(HLUserName,User,MAX_NAME_LENGTH);
	execute_command(User,Command,"mp_limitallieslight",Data);
	return PLUGIN_HANDLED;
}

public admin_alliesassault(HLCommand,HLData,HLUserName,UserIndex) {
	new Command[MAX_COMMAND_LENGTH];
	new Data[MAX_DATA_LENGTH];
	new User[MAX_NAME_LENGTH];
	
	convert_string(HLCommand,Command,MAX_COMMAND_LENGTH);
	convert_string(HLData,Data,MAX_DATA_LENGTH);
	convert_string(HLUserName,User,MAX_NAME_LENGTH);
	execute_command(User,Command,"mp_limitalliesassault",Data);
	return PLUGIN_HANDLED;
}

public admin_alliesheavy(HLCommand,HLData,HLUserName,UserIndex) {
	new Command[MAX_COMMAND_LENGTH];
	new Data[MAX_DATA_LENGTH];
	new User[MAX_NAME_LENGTH];
	
	convert_string(HLCommand,Command,MAX_COMMAND_LENGTH);
	convert_string(HLData,Data,MAX_DATA_LENGTH);
	convert_string(HLUserName,User,MAX_NAME_LENGTH);
	execute_command(User,Command,"mp_limitalliesheavy",Data);
	return PLUGIN_HANDLED;
}

public admin_alliessniper(HLCommand,HLData,HLUserName,UserIndex) {
	new Command[MAX_COMMAND_LENGTH];
	new Data[MAX_DATA_LENGTH];
	new User[MAX_NAME_LENGTH];
	
	convert_string(HLCommand,Command,MAX_COMMAND_LENGTH);
	convert_string(HLData,Data,MAX_DATA_LENGTH);
	convert_string(HLUserName,User,MAX_NAME_LENGTH);
	execute_command(User,Command,"mp_limitalliessniper",Data);
	return PLUGIN_HANDLED;
}

public admin_axislight(HLCommand,HLData,HLUserName,UserIndex) {
	new Command[MAX_COMMAND_LENGTH];
	new Data[MAX_DATA_LENGTH];
	new User[MAX_NAME_LENGTH];
	
	convert_string(HLCommand,Command,MAX_COMMAND_LENGTH);
	convert_string(HLData,Data,MAX_DATA_LENGTH);
	convert_string(HLUserName,User,MAX_NAME_LENGTH);
	execute_command(User,Command,"mp_limitaxislight",Data);
	return PLUGIN_HANDLED;
}

public admin_axisassault(HLCommand,HLData,HLUserName,UserIndex) {
	new Command[MAX_COMMAND_LENGTH];
	new Data[MAX_DATA_LENGTH];
	new User[MAX_NAME_LENGTH];
	
	convert_string(HLCommand,Command,MAX_COMMAND_LENGTH);
	convert_string(HLData,Data,MAX_DATA_LENGTH);
	convert_string(HLUserName,User,MAX_NAME_LENGTH);
	execute_command(User,Command,"mp_limitaxisassault",Data);
	return PLUGIN_HANDLED;
}

public admin_axisheavy(HLCommand,HLData,HLUserName,UserIndex) {
	new Command[MAX_COMMAND_LENGTH];
	new Data[MAX_DATA_LENGTH];
	new User[MAX_NAME_LENGTH];
	
	convert_string(HLCommand,Command,MAX_COMMAND_LENGTH);
	convert_string(HLData,Data,MAX_DATA_LENGTH);
	convert_string(HLUserName,User,MAX_NAME_LENGTH);
	execute_command(User,Command,"mp_limitaxisheavy",Data);
	return PLUGIN_HANDLED;
}

public admin_axissniper(HLCommand,HLData,HLUserName,UserIndex) {
	new Command[MAX_COMMAND_LENGTH];
	new Data[MAX_DATA_LENGTH];
	new User[MAX_NAME_LENGTH];
	
	convert_string(HLCommand,Command,MAX_COMMAND_LENGTH);
	convert_string(HLData,Data,MAX_DATA_LENGTH);
	convert_string(HLUserName,User,MAX_NAME_LENGTH);
	execute_command(User,Command,"mp_limitaxissniper",Data);
	return PLUGIN_HANDLED;
}

public plugin_init() {
	plugin_registerinfo("DOD Plugin 2.0 by [VHL]Tyr","DOD specific commands for Admin-Mod",STRING_VERSION);
	plugin_registercmd("admin_clan_match","admin_clan_match",ACCESS_MAP,"admin_clan_match <0|1>: Toggles clan match mode.");
	plugin_registercmd("admin_clan_timer","admin_clan_timer",ACCESS_MAP,"admin_clan_timer <seconds>: Seconds before clan match after admin_clan_start.");
	plugin_registercmd("admin_clan_start","admin_clan_start",ACCESS_MAP,"admin_clan_start :Starts the clanmatch.");
	plugin_registercmd("admin_alliesmg","admin_alliesmg",ACCESS_MAP,"admin_alliesmg <0|1|2|3|4|5>: Toggles the limit of MG the Allies can have.");
	plugin_registercmd("admin_axismg","admin_axismg",ACCESS_MAP,"admin_axismg <0|1|2|3|4|5>: Toggles the limit of MG the Axis can have.");
	plugin_registercmd("admin_tkpenalty","admin_tkpenalty",ACCESS_MAP,"admin_tkpenalty <number>: Number of TK's before kick, -1 to turn off.");
	plugin_registercmd("admin_teamlimit","admin_teamlimit",ACCESS_MAP,"admin_teamlimit <number>: Number of extra players a team will be allowed to have.");
	plugin_registercmd("admin_deathmsg","admin_deathmsg",ACCESS_MAP,"admin_deathmsg <0|1>: Toggles deathmessages on/off.");
	plugin_registercmd("admin_chatmsg","admin_chatmsg",ACCESS_MAP,"admin_chatmsg <1|2>: Toggle standard HL chat messages, 1=Yes, 2=No.");
	plugin_registercmd("admin_voice","admin_voice",ACCESS_MAP,"admin_voice <0|1>: HL voice system, 1=Team can talk across map, 2=Can only talk within a range.");
	plugin_registercmd("admin_allowspectate","admin_allowspectate",ACCESS_MAP,"admin_allowspectate <0|1>: Determines if the server will allow clients to spectate the game.");
	plugin_registercmd("admin_bulletwhizz","admin_bulletwhizz",ACCESS_MAP,"admin_bulletwhizz <0|1>: Toggles the bulletwhizz sound to on or off.");
	plugin_registercmd("admin_allieslight","admin_allieslight",ACCESS_MAP,"admin_allieslight <0|1|2|3|4|5>: Toggles the limit of heavy weapons the Allies can have.");
	plugin_registercmd("admin_alliesassault","admin_alliesassault",ACCESS_MAP,"admin_alliesassault <0|1|2|3|4|5>: Toggles the limit of heavy weapons the Allies can have.");
	plugin_registercmd("admin_alliesheavy","admin_alliesheavy",ACCESS_MAP,"admin_alliesheavy <0|1|2|3|4|5>: Toggles the limit of heavy weapons the Allies can have.");
	plugin_registercmd("admin_alliessniper","admin_alliessniper",ACCESS_MAP,"admin_alliessniper <0|1|2|3|4|5>: Toggles the limit of snipers the Allies can have.");
	plugin_registercmd("admin_axislight","admin_axislight",ACCESS_MAP,"admin_axislight <0|1|2|3|4|5>: Toggles the limit of heavy light infantry the Axis can have.");
	plugin_registercmd("admin_axisassault","admin_axisassault",ACCESS_MAP,"admin_axisassault <0|1|2|3|4|5>: Toggles the limit of heavy assault players the Axis can have.");
	plugin_registercmd("admin_axisheavy","admin_axisheavy",ACCESS_MAP,"admin_axisheavy <0|1|2|3|4|5>: Toggles the limit of heavy weapons the Axis can have.");
	plugin_registercmd("admin_axissniper","admin_axissniper",ACCESS_MAP,"admin_axissniper <0|1|2|3|4|5>: Toggles the limit of snipers the Axis can have.");
	return PLUGIN_CONTINUE;
}




